Subject: bug#3370: 23.0.94; `comment-region' indents comment chars inappropriately

From: "Drew Adams" <[email-masked]>
Date: Mon, 25 May 2009 10:42:09 -0700

> > Why would everything else be equal? What's wrong with 
> > considering what Emacs has always done, and perhaps even
> > thinking about breaking existing code (such as what I
> > reported)? Everything else is not equal.
> 
> Obviously.  But if changing the default provides significantly better
> behavior, there is case for doing it anyway.  My point is that this
> default is indeed better.

Are you aware that you provide no reasons for your assertion that it "is indeed
better"? Better how? Why? For whom? In what contexts?

> >> I think `indent' is a better comment style. For instance, all the
> >> Emacs sources use that style.
> >
> > If you are referring to ;; always being indented instead of 
> > starting a line (which is not what I reported about), then no,
> > there are plenty of source code lines that start with ;; -
> > in file headers, for instance.
> 
> The overwhelming majority of commented lines are indented, including
> file headers, which are indented to top-level (column 0).

Indented to column 0? Are you just trying to win an argument? Sure, then
everything in the universe is indented. If you count no-op indentation as
indentation, then the third policeman going up the middle elevator is indented.

So far, you have provided zero content for this thread, AFAICT.

And we still have no definition of "comment style" or `comment-style'...